Sign in Start for free

Configuration

Return a list of configuration section settings

GET /api/configuration

Response

200 — The list of configuration section settings

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
  • Items array of object
    • Description string
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
      Minimum length 1.
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "string",
  "Items": [
    {
      "Description": "string",
      "Id": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string"
    }
  ],
  "ItemsPerPage": 0,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 0,
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NumberOfPages": 0,
  "TotalResults": 0
}

Return a single configuration section for the given id

GET /api/configuration/{id}

Path Parameters

  • id string (required)

Response

200 — The requested configuration section

  • Description string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
    Minimum length 1.

Example Response

JSON
{
  "Description": "string",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string"
}

Return a structure that describes how to dynamically render the configuration section

GET /api/configuration/{id}/metadata

Path Parameters

  • id string (required)

Response

200 — The requested configuration section metadata

  • Description string
  • Types array of object
    • Name string
    • Properties array of object

Example Response

JSON
{
  "Description": "string",
  "Types": [
    {
      "Name": "string",
      "Properties": [
        {}
      ]
    }
  ]
}

Return the current configuration for a specific configuration section

GET /api/configuration/{id}/values

Path Parameters

  • id string (required)

Response

200 — The current configuration for the specified configuration section

Example Response

JSON
"string"

Update the configuration values for a specific configuration section

PUT /api/configuration/{id}/values

Refer to the configuration/{id}/metadata endpoint for details on the specific data structure required for a given configuration section id.

Path Parameters

  • id string (required)

Request Body

A string payload.

Response

200 — Success

Example Request

JSON
"string"

Example Response

JSON
"string"